﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Xml.Serialization;

// 
// This source code was auto-generated by xsd, Version=4.0.30319.33440.
// 


/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
[System.Xml.Serialization.XmlRootAttribute(Namespace = "http://www.sat.gob.mx/ComercioExterior20", IsNullable = false)]
public partial class ComercioExterior
{

    private ComercioExteriorEmisor emisorField;

    private ComercioExteriorPropietario[] propietarioField;

    private ComercioExteriorReceptor receptorField;

    private ComercioExteriorDestinatario[] destinatarioField;

    private ComercioExteriorMercancia[] mercanciasField;

    private string versionField;

    private string motivoTrasladoField;

    private string claveDePedimentoField;

    private int certificadoOrigenField;

    private string numCertificadoOrigenField;

    private string numeroExportadorConfiableField;

    private string incotermField;

    private string observacionesField;

    private decimal tipoCambioUSDField;

    private string totalUSDField;

    public ComercioExterior()
    {
        this.versionField = "2.0";
    }

    /// <remarks/>
    public ComercioExteriorEmisor Emisor
    {
        get
        {
            return this.emisorField;
        }
        set
        {
            this.emisorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Propietario")]
    public ComercioExteriorPropietario[] Propietario
    {
        get
        {
            return this.propietarioField;
        }
        set
        {
            this.propietarioField = value;
        }
    }

    /// <remarks/>
    public ComercioExteriorReceptor Receptor
    {
        get
        {
            return this.receptorField;
        }
        set
        {
            this.receptorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Destinatario")]
    public ComercioExteriorDestinatario[] Destinatario
    {
        get
        {
            return this.destinatarioField;
        }
        set
        {
            this.destinatarioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItemAttribute("Mercancia", IsNullable = false)]
    public ComercioExteriorMercancia[] Mercancias
    {
        get
        {
            return this.mercanciasField;
        }
        set
        {
            this.mercanciasField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Version
    {
        get
        {
            return this.versionField;
        }
        set
        {
            this.versionField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string MotivoTraslado
    {
        get
        {
            return this.motivoTrasladoField;
        }
        set
        {
            this.motivoTrasladoField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string ClaveDePedimento
    {
        get
        {
            return this.claveDePedimentoField;
        }
        set
        {
            this.claveDePedimentoField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public int CertificadoOrigen
    {
        get
        {
            return this.certificadoOrigenField;
        }
        set
        {
            this.certificadoOrigenField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumCertificadoOrigen
    {
        get
        {
            return this.numCertificadoOrigenField;
        }
        set
        {
            this.numCertificadoOrigenField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroExportadorConfiable
    {
        get
        {
            return this.numeroExportadorConfiableField;
        }
        set
        {
            this.numeroExportadorConfiableField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Incoterm
    {
        get
        {
            return this.incotermField;
        }
        set
        {
            this.incotermField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Observaciones
    {
        get
        {
            return this.observacionesField;
        }
        set
        {
            this.observacionesField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public decimal TipoCambioUSD
    {
        get
        {
            return this.tipoCambioUSDField;
        }
        set
        {
            this.tipoCambioUSDField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string TotalUSD
    {
        get
        {
            return this.totalUSDField;
        }
        set
        {
            this.totalUSDField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorEmisor
{

    private ComercioExteriorEmisorDomicilio domicilioField;

    private string curpField;

    /// <remarks/>
    public ComercioExteriorEmisorDomicilio Domicilio
    {
        get
        {
            return this.domicilioField;
        }
        set
        {
            this.domicilioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Curp
    {
        get
        {
            return this.curpField;
        }
        set
        {
            this.curpField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorEmisorDomicilio
{

    private string calleField;

    private string numeroExteriorField;

    private string numeroInteriorField;

    private string coloniaField;

    private string localidadField;

    private string referenciaField;

    private string municipioField;

    private string estadoField;

    private string paisField;

    private string codigoPostalField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Calle
    {
        get
        {
            return this.calleField;
        }
        set
        {
            this.calleField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroExterior
    {
        get
        {
            return this.numeroExteriorField;
        }
        set
        {
            this.numeroExteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroInterior
    {
        get
        {
            return this.numeroInteriorField;
        }
        set
        {
            this.numeroInteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Colonia
    {
        get
        {
            return this.coloniaField;
        }
        set
        {
            this.coloniaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Localidad
    {
        get
        {
            return this.localidadField;
        }
        set
        {
            this.localidadField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Referencia
    {
        get
        {
            return this.referenciaField;
        }
        set
        {
            this.referenciaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Municipio
    {
        get
        {
            return this.municipioField;
        }
        set
        {
            this.municipioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Estado
    {
        get
        {
            return this.estadoField;
        }
        set
        {
            this.estadoField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Pais
    {
        get
        {
            return this.paisField;
        }
        set
        {
            this.paisField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string CodigoPostal
    {
        get
        {
            return this.codigoPostalField;
        }
        set
        {
            this.codigoPostalField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorPropietario
{

    private string numRegIdTribField;

    private string residenciaFiscalField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumRegIdTrib
    {
        get
        {
            return this.numRegIdTribField;
        }
        set
        {
            this.numRegIdTribField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string ResidenciaFiscal
    {
        get
        {
            return this.residenciaFiscalField;
        }
        set
        {
            this.residenciaFiscalField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorReceptor
{

    private ComercioExteriorReceptorDomicilio domicilioField;

    private string numRegIdTribField;

    /// <remarks/>
    public ComercioExteriorReceptorDomicilio Domicilio
    {
        get
        {
            return this.domicilioField;
        }
        set
        {
            this.domicilioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumRegIdTrib
    {
        get
        {
            return this.numRegIdTribField;
        }
        set
        {
            this.numRegIdTribField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorReceptorDomicilio
{

    private string calleField;

    private string numeroExteriorField;

    private string numeroInteriorField;

    private string coloniaField;

    private string localidadField;

    private string referenciaField;

    private string municipioField;

    private string estadoField;

    private string paisField;

    private string codigoPostalField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Calle
    {
        get
        {
            return this.calleField;
        }
        set
        {
            this.calleField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroExterior
    {
        get
        {
            return this.numeroExteriorField;
        }
        set
        {
            this.numeroExteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroInterior
    {
        get
        {
            return this.numeroInteriorField;
        }
        set
        {
            this.numeroInteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Colonia
    {
        get
        {
            return this.coloniaField;
        }
        set
        {
            this.coloniaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Localidad
    {
        get
        {
            return this.localidadField;
        }
        set
        {
            this.localidadField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Referencia
    {
        get
        {
            return this.referenciaField;
        }
        set
        {
            this.referenciaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Municipio
    {
        get
        {
            return this.municipioField;
        }
        set
        {
            this.municipioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Estado
    {
        get
        {
            return this.estadoField;
        }
        set
        {
            this.estadoField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Pais
    {
        get
        {
            return this.paisField;
        }
        set
        {
            this.paisField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string CodigoPostal
    {
        get
        {
            return this.codigoPostalField;
        }
        set
        {
            this.codigoPostalField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorDestinatario
{

    private ComercioExteriorDestinatarioDomicilio[] domicilioField;

    private string numRegIdTribField;

    private string nombreField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Domicilio")]
    public ComercioExteriorDestinatarioDomicilio[] Domicilio
    {
        get
        {
            return this.domicilioField;
        }
        set
        {
            this.domicilioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumRegIdTrib
    {
        get
        {
            return this.numRegIdTribField;
        }
        set
        {
            this.numRegIdTribField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Nombre
    {
        get
        {
            return this.nombreField;
        }
        set
        {
            this.nombreField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorDestinatarioDomicilio
{

    private string calleField;

    private string numeroExteriorField;

    private string numeroInteriorField;

    private string coloniaField;

    private string localidadField;

    private string referenciaField;

    private string municipioField;

    private string estadoField;

    private string paisField;

    private string codigoPostalField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Calle
    {
        get
        {
            return this.calleField;
        }
        set
        {
            this.calleField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroExterior
    {
        get
        {
            return this.numeroExteriorField;
        }
        set
        {
            this.numeroExteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroInterior
    {
        get
        {
            return this.numeroInteriorField;
        }
        set
        {
            this.numeroInteriorField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Colonia
    {
        get
        {
            return this.coloniaField;
        }
        set
        {
            this.coloniaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Localidad
    {
        get
        {
            return this.localidadField;
        }
        set
        {
            this.localidadField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Referencia
    {
        get
        {
            return this.referenciaField;
        }
        set
        {
            this.referenciaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Municipio
    {
        get
        {
            return this.municipioField;
        }
        set
        {
            this.municipioField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Estado
    {
        get
        {
            return this.estadoField;
        }
        set
        {
            this.estadoField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Pais
    {
        get
        {
            return this.paisField;
        }
        set
        {
            this.paisField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string CodigoPostal
    {
        get
        {
            return this.codigoPostalField;
        }
        set
        {
            this.codigoPostalField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorMercancia
{

    private ComercioExteriorMercanciaDescripcionesEspecificas[] descripcionesEspecificasField;

    private string noIdentificacionField;

    private string fraccionArancelariaField;

    private decimal cantidadAduanaField;

    private bool cantidadAduanaFieldSpecified;

    private string unidadAduanaField;

    private decimal valorUnitarioAduanaField;

    private bool valorUnitarioAduanaFieldSpecified;

    private decimal valorDolaresField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("DescripcionesEspecificas")]
    public ComercioExteriorMercanciaDescripcionesEspecificas[] DescripcionesEspecificas
    {
        get
        {
            return this.descripcionesEspecificasField;
        }
        set
        {
            this.descripcionesEspecificasField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NoIdentificacion
    {
        get
        {
            return this.noIdentificacionField;
        }
        set
        {
            this.noIdentificacionField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string FraccionArancelaria
    {
        get
        {
            return this.fraccionArancelariaField;
        }
        set
        {
            this.fraccionArancelariaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public decimal CantidadAduana
    {
        get
        {
            return this.cantidadAduanaField;
        }
        set
        {
            this.cantidadAduanaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool CantidadAduanaSpecified
    {
        get
        {
            return this.cantidadAduanaFieldSpecified;
        }
        set
        {
            this.cantidadAduanaFieldSpecified = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string UnidadAduana
    {
        get
        {
            return this.unidadAduanaField;
        }
        set
        {
            this.unidadAduanaField = value;
        }
    }

    /// <remarks/>
    //[System.Xml.Serialization.XmlAttributeAttribute()]
    //public decimal ValorUnitarioAduana
    //{
    //    get
    //    {
    //        return this.valorUnitarioAduanaField;
    //    }
    //    set
    //    {
    //        this.valorUnitarioAduanaField = value;
    //    }
    //}

    [XmlIgnore]
    public decimal ValorUnitarioAduana
    {
        get
        {
            return valorUnitarioAduanaField;
        }
        set
        {
            valorUnitarioAduanaField = value;
        }
    }

    // Propiedad adicional para la serialización que maneja el valor como cadena.
    [XmlAttribute("ValorUnitarioAduana")]
    public string ValorUnitarioAduanaString
    {
        get
        {
            // Retorna el valor decimal como una cadena con 6 decimales.
            return ValorUnitarioAduana.ToString("F6", System.Globalization.CultureInfo.InvariantCulture);
        }
        set
        {
            // Convierte la cadena de vuelta a decimal y lo almacena.
            if (decimal.TryParse(value, System.Globalization.NumberStyles.Any, System.Globalization.CultureInfo.InvariantCulture, out decimal result))
            {
                ValorUnitarioAduana = result;
            }
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool ValorUnitarioAduanaSpecified
    {
        get
        {
            return this.valorUnitarioAduanaFieldSpecified;
        }
        set
        {
            this.valorUnitarioAduanaFieldSpecified = value;
        }
    }

    /// <remarks/>
    /*
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public decimal ValorDolares
    {
        get
        {
            return Math.Round(this.valorDolaresField,4);
        }
        set
        {
            this.valorDolaresField = value;
        }
    }
    */

    // Esta propiedad es ignorada por la serialización XML directamente, pero se usa internamente.
    [XmlIgnore]
    public decimal ValorDolares
    {
        get
        {
            return Math.Round(valorDolaresField, 4);
        }
        set
        {
            valorDolaresField = value;
        }
    }

    // Propiedad adicional para la serialización que maneja el valor como cadena.
    [XmlAttribute("ValorDolares")]
    public string ValorDolaresString
    {
        get
        {
            // Retorna el valor decimal como una cadena con 4 decimales.
            return ValorDolares.ToString("F4", System.Globalization.CultureInfo.InvariantCulture);
        }
        set
        {
            // Convierte la cadena de vuelta a decimal y lo almacena.
            if (decimal.TryParse(value, System.Globalization.NumberStyles.Any, System.Globalization.CultureInfo.InvariantCulture, out decimal result))
            {
                ValorDolares = result;
            }
        }
    }

}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.sat.gob.mx/ComercioExterior20")]
public partial class ComercioExteriorMercanciaDescripcionesEspecificas
{

    private string marcaField;

    private string modeloField;

    private string subModeloField;

    private string numeroSerieField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Marca
    {
        get
        {
            return this.marcaField;
        }
        set
        {
            this.marcaField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Modelo
    {
        get
        {
            return this.modeloField;
        }
        set
        {
            this.modeloField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string SubModelo
    {
        get
        {
            return this.subModeloField;
        }
        set
        {
            this.subModeloField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string NumeroSerie
    {
        get
        {
            return this.numeroSerieField;
        }
        set
        {
            this.numeroSerieField = value;
        }
    }
}
